import { type Base, genBase } from "./_base"

export interface Appointment extends Base {
  practiceSchedule_id: number
  patient_id: number
  person_residentIdentitynumber: string
  person_name: string
  person_phoneNumber: string
  paymentMethod_code: string
  refNumber: string
}

export function genAppointment(): Appointment {
  return {
    ...genBase(),
    practiceSchedule_id: 0,
    patient_id:  0,
    person_residentIdentitynumber: '',
    person_name: '',
    person_phoneNumber: '',
    paymentMethod_code: '',
    refNumber: '',
  }
}
